import 'package:grpc_communication/grpc_agent_services.dart';
import 'package:grpc_communication/src/agent.pb.dart';
import 'package:test/test.dart';


void main() {
  group('fetchAgents', () {

    GrpcAgentCommunication communication = GrpcAgentCommunication("127.0.0.1", 50051);

    test('successfully retrieves resource groups from server', () async {
      final agents = await communication.fetchAgents();

      // Basic checks to ensure we are getting some data
      expect(agents, isA<List<Agent>>());
      expect(agents, isNotEmpty);
    });
  });


  group('createAgent', () {

    GrpcAgentCommunication communication = GrpcAgentCommunication("127.0.0.1", 50050);

    test('successfully creates a resource group on the server', () async {
      final response = await communication.createAgent("Test Agent 1", "192.168.0.1");

      // Basic checks to ensure we are getting some data
      expect(response, isA<CreateAgentResponse>());
    });
  });
}