import 'package:grpc_communication/grpc_resource_group_services.dart';
import 'package:grpc_communication/src/resourcegroup.pb.dart';
import 'package:test/test.dart';


void main() {
  group('fetchResourceGroups', () {

    GrpcCommunication communication = GrpcCommunication("127.0.0.1", 50051);

    test('successfully retrieves resource groups from server', () async {
      final resourceGroups = await communication.fetchResourceGroups();

      // Basic checks to ensure we are getting some data
      expect(resourceGroups, isA<List<ResourceGroup>>());
      expect(resourceGroups, isNotEmpty);
    });
  });


  group('createResourceGroup', () {

    GrpcCommunication communication = GrpcCommunication("127.0.0.1", 50051);

    test('successfully creates a resource group on the server', () async {
      final response = await communication.createResourceGroup("Test Name", "Test Location");

      // Basic checks to ensure we are getting some data
      expect(response, isA<CreateGroupResponse>());
    });
  });
}